part of 'game_cubit.dart';

@immutable
class GameState extends Equatable {
  const GameState({
    this.move,
    this.history,
  });

  final Move? move;
  final List<Move>? history;

  @override
  List<dynamic> get props => <dynamic>[
        move,
        history,
      ];

  Map<String, dynamic> get values => <String, dynamic>{
        'move': move,
        'history': history,
      };
}
